Change when we install Ohai Solo

Registered by Ziad Sawalha on 2014-03-24

- we will not upgrade ohai-solo unless a --upgrade(TBD) argument is supplied
- we will report the version of the plugin in the discovery (and the metadata?)
- don't install ohai-solo by default. Report what is needed to do data plane discovery. --system-info=ohai-solo must be explicitly called out.
- report back when no data plane plugin supplied ("We could have done data plane discovery... but you must supply a system-info argument").
- create a first draft of a remote-only, python, sys-info python module (include it as a fall-back, but recommend ohai-solo)
- --install, --upgrade, --cleanup
- make it work out of the box

Blueprint information

Status:
Not started
Approver:
None
Priority:
Undefined
Drafter:
Ziad Sawalha
Direction:
Needs approval
Assignee:
None
Definition:
New
Series goal:
None
Implementation:
Unknown
Milestone target:
None

Related branches

Sprints

Whiteboard

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.